


create table subject( id int AUTO_INCREMENT PRIMARY KEY, subject_name varchar(255 ));

insert into subject values(null, 'English');
insert into subject values(null, 'Physics');
insert into subject values(null, 'Chemistry');
insert into subject values(null, 'Maths');
insert into subject values(null, 'Biology');
insert into subject values(null, 'Mechanics');
insert into subject values(null, 'Information Technology');
insert into subject values(null, 'Electronics');


alter table Student add subject_id int;
alter table Student add FOREIGN KEY (subject_id) REFERENCES subject(id);

update Student set subject_id=5 where student_id=1;
update Student set subject_id=7 where student_id=2;
update Student set subject_id=8 where student_id=3;
update Student set subject_id=4 where student_id=4;

student name, email & subject name

select st.name, st.email, sb.subject_name from Student as st left join subject as sb on st.subject_id = sb.id;

::Output::

mysql> desc Student;
+------------+--------------+------+-----+---------+----------------+
| Field      | Type         | Null | Key | Default | Extra          |
+------------+--------------+------+-----+---------+----------------+
| student_id | int(11)      | NO   | PRI | NULL    | auto_increment |
| name       | varchar(255) | YES  |     | NULL    |                |
| email      | varchar(50)  | YES  |     | NULL    |                |
| branch     | varchar(50)  | YES  |     | NULL    |                |
| fathername | varchar(50)  | YES  |     | NULL    |                |
| gender     | char(10)     | YES  |     | NULL    |                |
| age        | int(11)      | YES  |     | NULL    |                |
| DOB        | date         | YES  |     | NULL    |                |
| created_at | datetime     | YES  |     | NULL    |                |
| updated_at | datetime     | YES  |     | NULL    |                |
| subject_id | int(11)      | YES  | MUL | NULL    |                |
+------------+--------------+------+-----+---------+----------------+
11 rows in set (0.00 sec)

mysql> select * from Student;
+------------+------------------+----------------------------+--------+------------------------+--------+------+------------+---------------------+---------------------+------------+
| student_id | name             | email                      | branch | fathername             | gender | age  | DOB        | created_at          | updated_at          | subject_id |
+------------+------------------+----------------------------+--------+------------------------+--------+------+------------+---------------------+---------------------+------------+
|          1 | Avinash Gowda    | hidden                     | malad  | Nagraj Gowda           | male   |   25 | 1994-01-17 | 2019-07-08 14:24:17 | 2019-07-08 14:24:17 |          5 |
|          2 | Prabhat Singh    | hidden                     | malad  | Rajkumar Singh         | male   |   21 | 1997-05-19 | 2019-07-08 14:30:07 | 2019-07-08 14:30:07 |          7 |
|          3 | Akshay Dhuri     | hidden                     | malad  | Dattatare Dhuri        | male   |   25 | 1996-08-13 | 2019-07-08 14:38:50 | 2019-07-08 14:38:50 |          8 |
|          4 | Amitabh Bachchan | hidden                     | malad  | Harivansh Rai Bachchan | male   |   77 | 1942-10-11 | 2019-07-08 14:40:35 | 2019-07-08 14:40:35 |          4 |
+------------+------------------+----------------------------+--------+------------------------+--------+------+------------+---------------------+---------------------+------------+
4 rows in set (0.00 sec)

mysql> desc subject;
+--------------+--------------+------+-----+---------+----------------+
| Field        | Type         | Null | Key | Default | Extra          |
+--------------+--------------+------+-----+---------+----------------+
| id           | int(11)      | NO   | PRI | NULL    | auto_increment |
| subject_name | varchar(255) | YES  |     | NULL    |                |
+--------------+--------------+------+-----+---------+----------------+
2 rows in set (0.00 sec)

mysql> select * from subject;
+----+------------------------+
| id | subject_name           |
+----+------------------------+
|  1 | English                |
|  2 | Physics                |
|  3 | Chemistry              |
|  4 | Maths                  |
|  5 | Biology                |
|  6 | Mechanics              |
|  7 | Information Technology |
|  8 | Electronics            |
+----+------------------------+
8 rows in set (0.00 sec)

mysql> select st.name, st.email, sb.subject_name from Student as st left join subject as sb on st.subject_id = sb.id;
+------------------+----------------------------+------------------------+
| name             | email                      | subject_name           |
+------------------+----------------------------+------------------------+
| Avinash Gowda    | hidden                     | Biology                |
| Prabhat Singh    | hidden                     | Information Technology |
| Akshay Dhuri     | hidden                     | Electronics            |
| Amitabh Bachchan | hidden                     | Maths                  |
+------------------+----------------------------+------------------------+
4 rows in set (0.00 sec)
